#include <LiquidCrystal_I2C.h>
#include <Arduino.h>
#include <Wire.h>
#include <DS1307.h>
 
// vytvoří objekt lcd a nastaví jeho adresu
// 0x27 a 20 zanků na 4 řádcích
LiquidCrystal_I2C lcd(0x27,20,4);
// vytvoří pole čísel do kterých se bude ukládat čas
int rtc[7];
 
void setup()
{    
  lcd.init();// inicializuje displej  
  lcd.backlight(); // zapne podsvětlení
  lcd.setCursor(4,0); // nastaví kurzor na pozici
  lcd.print("Aktualni cas:"); // vypíše text
}
void loop()
{
  // zapíše data z modulu do pole čísel rtc
  RTC.get(rtc,true);  
  // připraví pole znaků pro čas
  char cas[9];  
  // zapíše do pole znaků cas hodnoty z rtc
  sprintf(cas, "%02d:%02d:%02d", rtc[2],rtc[1],rtc[0]);  
  lcd.setCursor(6,1); // nastaví kurzor na pozici
  lcd.print(cas); // vypíše cas na displej  
  
  //připraví pole znaků pro datum
  char dat[11];
  //zapíše do pole znaků dat hodnoty z rtc
  sprintf(dat, "%02d.%02d.%4d" ,rtc[4],rtc[5],rtc[6]);
  lcd.setCursor(4,2);  //nastaví kurzor
  lcd.print("Dnesni datum:");  //vypíše text
  lcd.setCursor(5,3);  //nastaví kurzor
  lcd.print(dat);  //vypíše datum

  delay(1000); //počká jednu vteřinu
}
